# __gnu_cxx::array_allocator_base< _Tp > Class Template Reference

Inheritance diagram for __gnu_cxx::array_allocator_base< _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
class __gnu_cxx::array_allocator_base< _Tp >

Base class.

Definition at line 50 of file array_allocator.h.

## Public Types

- typedef const _Tp * const_pointer
- typedef const _Tp & const_reference
- typedef ptrdiff_t difference_type
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef size_t size_type
- typedef _Tp value_type

## Public Member Functions

- const_pointer address (const_reference __x) const
- pointer address (reference __x) const
- void construct (pointer __p, const _Tp &__val)
- void deallocate (pointer, size_type)
- void destroy (pointer __p)
- size_type max_size () const throw ()

The documentation for this class was generated from the following file:

- array_allocator.h